package com.lightinit.hsdatashow.service.ms;

import com.lightinit.hsdatashow.entity.BaseExample;
import com.lightinit.hsdatashow.entity.PopulationSummary;
import com.lightinit.hsdatashow.model.ResultState;

import java.util.List;

public interface IMSPeopleGrowthService {
    List<PopulationSummary> queryList(BaseExample.Page pager);

    long queryCount(BaseExample.Page pager);

    ResultState<Long> delete(long id);

    ResultState add(PopulationSummary inputModel);

    PopulationSummary edit(long id);

    ResultState doEdit(PopulationSummary inputModel);
}
